Filewatcher File Search File Search
Content Search
» » » » »


posix development files for the Lua language version 5.1

This package contains the development files of the Lua posix library, useful to create a statically linked binary (like a C application or a standalone Lua interpreter). Documentation is also shipped within this package.
Package version:5.1.4-3


This is a POSIX library for Lua 5.1.

To try this Lua library, edit Makefile to reflect your installation of Lua.
Then run make. This will build and run a simple test. If everything
is ok, install and posix.lua in some official place. You may want
to edit posix.lua to change the default value of SOPATH (you can also set the
environment variable LUA_SOPATH at run time).

Here is


lua-posix (5.1.4-3) unstable; urgency=low

  * Updated debian/copyright URL, thanks Rubens Thomas for the patch
  * rebuild with lua5.1-policy-dev >= 25 to obtain C89 comments 
    (Closes: #545813)
  * update standards-version to 3.8.3, added README.source mentioning
    default dpatch README

 -- Enrico Tassi <>  Wed, 09 Sep 2009 21:12:33 +0200

lua-posix (5.1.4-2) unsta


2008-07-18 Natanael Copa <natanael.copa _AT_>
  * fix rpoll to ignore the POLLHUP and POLLNVAL reported at:
  * added crypt(). Patch from

2008-06-03 Natanael Copa <natanael.copa _AT_>
  * replace luaL_openlib with the newer luaL_register.
  * Support for building on Darwin/OSX. Patch from 
    Felix Fi


This package was debianized by Enrico Tassi <>
Thu Aug 26 14:22:02 CEST 200

Browse inside liblua5.1-posix-dev_5.1.4-3_amd64.deb

         [DIR]DEBIAN/ (2)  65535+ mirrors
         [DIR]usr/ (3)  65535+ mirrors

Download liblua5.1-posix-dev_5.1.4-3_amd64.deb

Results 1 - 1 of 1
Help - FTP Sites List - Software Dir.
Search over 15 billion files
© 1997-2016